### Signal

# Soup Server::request-finished

#### Declaration

    void
    request_finished (
      SoupServer* self,
      SoupServerMessage* message,
      gpointer user_data
    )

#### Description [src]

Emitted when the server has finished writing a response to a request.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`message` | `SoupServerMessage`
| The message.
| The data is owned by the caller of the function.